Subject: [bug#49659] [PATCH core-updates] gnu: guile: Fix failing tests on i686-linux.

From: Thiago Jung Bauermann <[email-masked]>
Date: Sun, 25 Jul 2021 20:52:28 -0300

Hello,

Em sexta-feira, 23 de julho de 2021, às 06:07:45 -03, Ludovic Courtès 
escreveu:
> Hi,
> 
> Mathieu Othacehe <[email-masked]> skribis:
> >> I tweaked the commit log and pushed as
> >> fccc0275091af10a46471c68df525d19f446af9e.
> >> 
> >> Looks like we should be able to move forward with this branch now,
> >> thank you!
> > 
> > Thanks for taking care of that Maxime & Ludo :). Should we create a
> > core-updates-frozen branch that Cuirass would build for the "all"
> > subset? I can take care of that if so.
> 
> There are “two last things” to check IMO:
> 
>   1. Make sure powerpc64le-linux is in a good state.  Can we get it
>      built? (We discussed adding a worker on the OSUOSL machine but I
>      think we eventually dropped the ball.)
> 
>   2. <https://issues.guix.gnu.org/49597> will trigger rebuilds.  I was
>      waiting before applying it so we get several people looking into
>      it; Maxime had valid criticism, I’m interested in hearing from
>      others too.  :-)
> 
> Once we’re OK on these two fronts, let’s branch ‘core-updates-frozen’
> and unleash our package-fixing superpowers!

Perhaps libdrm and Mesa could be updated before the freeze as suggested by 
John Kehayias¹?

Or could/should that be done on a branch apart from core-updates? Not sure 
if that’s what Ricardo’s suggestion about creating a new branch means.

-- 
Thanks,
Thiago

¹ https://lists.gnu.org/archive/html/guix-devel/2021-07/msg00105.html